Summary: 	Enlightened torrent client
Name: 		epour
Version:	0.7.0
Release:	%mkrel 3
License:	BSD
Group:		Networking/File transfer
URL:		https://www.enlightenment.org/
Source0:	https://download.enlightenment.org/rel/apps/epour/%{name}-%{version}.tar.xz
Patch0:		epour-replace-deprecated-distutils.patch
BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-distutils-extra
BuildRequires:	intltool

Requires:	python3-efl >= 1.23.0
Requires:	python3-libtorrent-rasterbar
Requires:	python3-dbus
Requires:	python3-pyxdg

%description
Epour is a torrent client based on EFL.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc AUTHORS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/actions/*.png
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Mar 06 2025 daviddavid <daviddavid> 0.7.0-3.mga10
+ Revision: 2161263
- rebuild for python 3.13

* Sun Feb 25 2024 daviddavid <daviddavid> 0.7.0-2.mga10
+ Revision: 2044175
- add patch to replace deprecated distutils
- switch to pyproject
- rebuild for py3.12

* Mon Jan 02 2023 daviddavid <daviddavid> 0.7.0-1.mga9
+ Revision: 1929327
- initial package epour

